dnl Process this file with autoconf to produce a configure script.
dnl
dnl $Id: configure.in,v 1.2 2001-09-27 12:02:14 chris Exp $

AC_PREREQ(2.13)
AC_INIT(mp01)
RTEMS_TOP(../../../..)
AC_CONFIG_AUX_DIR(../../../..)

RTEMS_CANONICAL_TARGET_CPU

AM_INIT_AUTOMAKE(rtems-c-src-tests-mptests,$RTEMS_VERSION,no)
AM_MAINTAINER_MODE

RTEMS_ENABLE_INLINES
RTEMS_ENABLE_GCC28
RTEMS_ENABLE_BARE
RTEMS_ENABLE_MULTIPROCESSING

RTEMS_ENV_RTEMSBSP
RTEMS_CHECK_CPU
RTEMS_CANONICAL_HOST

RTEMS_PROJECT_ROOT

RTEMS_PROG_CC_FOR_TARGET

RTEMS_CANONICALIZE_TOOLS

RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
RTEMS_CHECK_MULTIPROCESSING

AC_SUBST(RTEMS_USE_GCC272)
AC_SUBST(BARE_CPU_CFLAGS)
AC_SUBST(BARE_CPU_MODEL)
AC_SUBST(CC_CFLAGS_DEFAULT)
AC_SUBST(CC_CFLAGS_DEBUG_V)
AC_SUBST(CC_CFLAGS_PROFILE_V)
AC_SUBST(CC_LDFLAGS_PROFILE_V)

AM_CONDITIONAL(HAS_MP,test "$HAS_MP" = "yes")

# Explicitly list all Makefiles here
AC_OUTPUT( 
Makefile
mp01/Makefile
mp01/node1/Makefile
mp01/node2/Makefile
mp02/Makefile
mp02/node1/Makefile
mp02/node2/Makefile
mp03/Makefile
mp03/node1/Makefile
mp03/node2/Makefile
mp04/Makefile
mp04/node1/Makefile
mp04/node2/Makefile
mp05/Makefile
mp05/node1/Makefile
mp05/node2/Makefile
mp06/Makefile
mp06/node1/Makefile
mp06/node2/Makefile
mp07/Makefile
mp07/node1/Makefile
mp07/node2/Makefile
mp08/Makefile
mp08/node1/Makefile
mp08/node2/Makefile
mp09/Makefile
mp09/node1/Makefile
mp09/node2/Makefile
mp10/Makefile
mp10/node1/Makefile
mp10/node2/Makefile
mp11/Makefile
mp11/node1/Makefile
mp11/node2/Makefile
mp12/Makefile
mp12/node1/Makefile
mp12/node2/Makefile
mp13/Makefile
mp13/node1/Makefile
mp13/node2/Makefile
mp14/Makefile
mp14/node1/Makefile
mp14/node2/Makefile
)
